[Author Prev][Author Next][Thread Prev][Thread Next][Author Index][Thread Index]

[tor-commits] [torbrowser/master] [Linux] Make complain support kdialog



commit 75410a2a4cdd80b9a6ec9592a339fc81e185b1e1
Author: Robert Ransom <rransom.8774@xxxxxxxxx>
Date:   Fri Aug 26 01:03:10 2011 -0400

    [Linux] Make complain support kdialog
    
    Note that the version of kdialog in debian-live-6.0.1-i386-kde-desktop.iso
    does not set the window size properly for five or more lines of text.
    We may or may not run into that bug in this script, but there's nothing
    we can do about it (except possibly report it upstream).
    (cherry picked from commit ed5f99dc8ace80da6df532ebf257f4e807a92132)
---
 src/RelativeLink/RelativeLink.sh |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

diff --git a/src/RelativeLink/RelativeLink.sh b/src/RelativeLink/RelativeLink.sh
index 08165c3..8013f38 100755
--- a/src/RelativeLink/RelativeLink.sh
+++ b/src/RelativeLink/RelativeLink.sh
@@ -70,6 +70,12 @@ complain () {
 		return
 	fi
 
+	# Try kdialog.
+	kdialog --title "$complain_dialog_title" --error "$1"
+	if [ "$?" -ne 127 ]; then
+		return
+	fi
+
 	# Try xmessage.
 	xmessage -title "$complain_dialog_title" \
 		-center \



_______________________________________________
tor-commits mailing list
tor-commits@xxxxxxxxxxxxxxxxxxxx
https://lists.torproject.org/cgi-bin/mailman/listinfo/tor-commits